'''various game over and title screens'''

import scene
import pygame
from pygame.locals import *

class Gameover(scene.Scene):
    def __init__(self, g, type = 'gameover-lose'):
        scene.Scene.__init__(self, g)
        self.type = type
        if type == 'gameover-lose':
            self.image = g.res.images['gameover-lose']
        elif type == 'gameover-win':
            self.image = g.res.images['gameover-win']
        elif type == 'title':
            self.image = g.res.images['titlescreen']
            g.snd.playmusic('pitfall2')
        elif type == 'levelcomplete':
            self.image = g.res.images['levelcomplete']
        g.screen.blit(self.image, (0, 0))
        pygame.display.flip()

    def simstep(self, dt):
        for event in pygame.event.get():
            if event.type != KEYDOWN and event.type != MOUSEBUTTONDOWN:
                continue
            if self.type == 'title' or self.type == 'levelcomplete':
                self.g.switch_to_scene = 'playgame'
            elif event.type == KEYDOWN:
                    if event.key == K_ESCAPE or event.key == K_q:
                        self.g.run = False
