'''Generic scene class'''

import pygame

class Scene(object):
    def __init__(self, g):
        self.g = g;
        self.state = 'init'

    def run(self):
        self.state = 'run'

    def stop(self):
        self.state = 'stop'

    def simstep(self, dt):
        if(self.state != 'run'):
            return

    def display(self):
        pygame.display.flip()

    def shutdown(self):
        self.state = 'shutdown'

        
